#define SDL
#include <SDXFrameWork.h>
#include <Multimedia/SDXafx.h>
using namespace SDX;
int main(int argc, char* argv[])
{
    //横向き:<activity android:screenOrientation="landscape">
    //縦向き:<activity android:screenOrientation="portrait">

    System::Initialise("sample", 320, 240);//ライブラリの初期化
    int x = 320;
    int y = 240;
    
    Color color(255,255,255);
    while (System::Update())
    {
        x = Input::mouse.x;
        y = Input::mouse.y;
        
        Drawing::Rect({x-10, y-10, 20, 20}, color, true);
        
        if( Input::mouse.Left.on ) color.SetColor(255, 0, 0);
        if( Input::mouse.Left.off) color.SetColor(0, 0, 255);
        
        Drawing::Rect({0,0,Window::GetWidth(),Window::GetHeight()},Color::Red,false);
    }
    System::End();//ライブラリの終了処理
    return 0;
}